@echo off
if not exist c:\dataio\work\%1 goto nodrawing
rem if not exist c:\drawings\b\%2.lzh goto noarchive

lharc u c:\drawings\b\%2 c:\dataio\work\%1
goto exit

:nodrawing
echo drawing not found : %1
goto exit

:noarchive
echo archive not found : %2
:exit